
Foreman - Bug #1504

Failed to save: failed to detect boot server: undefined method `bootserver_ip'

02/23/2012 10:31 PM - Luke Baker

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After upgrading to foreman-0.4.2-0.1, foreman was unable to create a DHCP lease. Foreman-proxy (version 0.3.1-0.1) log indicates

that omshell set 'next-server' to 'false'. I downgraded foreman (via yum) to the previous version (foreman-0.4.1-0.1) and the issue

could not be reproduced.

/tmp/proxy.log

W, [2012-02-23T07:37:14.540757 #27750]  WARN -- : Failed to resolve IP address for false

D, [2012-02-23T07:37:14.540892 #27750] DEBUG -- : omshell: executed - set statements = "filename = \"pxelinux.0\"; next-server =

\"false\"; option host-name = \"csgsandbox.doit.missouri.edu\";"

/var/log/foreman/production.log

Create DHCP reservation for csgsandbox.doit.missouri.edu-00:18:8b:41:ce:d0/10.133.7.4

Conflicting DHCP reservation for csgsandbox.doit.missouri.edu-00:18:8b:41:ce:d0/10.133.7.4 detected

DHCP Settings for csgsandbox.doit.missouri.edu task failed with the following error: Must define a hostname

Rolling back due to a problem: DHCP Settings for csgsandbox.doit.missouri.edu    10      failed 

csgsandbox.doit.missouri.eduset_dhcp

Failed to save: failed to detect boot server: undefined method `bootserver_ip' for #<ProxyAPI::TFTP:0x7f0bc5154f50>, DHCP

Settings for csgsandbox.doit.missouri.edu task failed with the following error: Must define a hostname

Rendering template within layouts/application

Rendering hosts/edit

Completed in 2061ms (View: 1036, DB: 37) | 200 OK [https://puppet.doit.missouri.edu/hosts/csgsandbox.doit.missouri.edu]

Related issues:

Is duplicate of Foreman - Bug #1451: Host creation fails if ":tftp_servername... Closed 01/18/2012

History

#1 - 03/15/2012 06:24 AM - Ohad Levy

- Status changed from New to Duplicate

Powered by TCPDF (www.tcpdf.org)

05/12/2024 1/1

https://projects.theforeman.org/issues/27750
https://projects.theforeman.org/issues/27750
https://puppet.doit.missouri.edu/hosts/csgsandbox.doit.missouri.edu
http://www.tcpdf.org

